## userv 0.58-1

=== debian/changelog ===
userv (0.58-1) unstable; urgency=low

  * Upgraded to new upstream version; major security fix, error handling
    fixes.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 29 Jan 1998 00:03:52 +0000

userv (0.57-1) unstable; urgency=high

  * Upgraded to new upstream version; fixed bug with root-provided
    services.
  * Uses new -daemon option in init.d script.
  * Sets VEREXT during build to set version number.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 14 Oct 1997 02:22:22 +0100

userv (0.56-1) experimental; urgency=low

  * Upgraded to new upstream version.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 11 Oct 1997 14:13:22 +0100

userv (0.55.1-1) experimental; urgency=low

  * Initial Debian release.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 22 Sep 1997 01:08:23 +0100

# Local variables:
# mode: debian-changelog
# End:
