## userv 0.58-1.1

=== debian/changelog ===
userv (0.58-1.1) frozen unstable; urgency=low

  * Non maintainer upload
  * Finally compiled against libc6
  * To Brian White: Please either confirm this upload to go into frozen or
    remove userv from frozen.
  * Added external declaration for strsignal() to overlord.c and client.c

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 18 Jul 1998 10:48:11 +0200
