=== debian/control ===
Source: userv
Section: admin
Priority: experimental
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: userv
Architecture: any
Depends: ${shlibs:Depends}
Description: `user services' - program call across trust boundaries
 userv allows one program to invoke another when only limited trust
 exists between them.  It is a tool which can be used to avoid having
 to give other system services root privilege, and which allows users
 to more securely have programs provide services to others.
 .
 There are not many userv-using services yet.
