## userv 0.60.2

=== debian/changelog ===
userv (0.60.2) frozen unstable; urgency=high

  * Fixed failure to save pathnames in a couple of places in parser.c.
    Without this, include-directory would often try to open a garbage
    filename.  This could be a security problem in certain cases where
    user-owned config files were included from sysadmin-defined files,
    and the sysadmin wants to control how a user provides services.

  * Fix "-quoted strings, which previously never worked at all.

  * Fixed spurious failure with `Interrupted system call' on systems
    where fread can fail due to read giving EINTR (blech!)

  * Fixed race when fd closed at startup, which could cause
    `system call failure: kill cat for <fd>: No such process'.

  * Fixed spurious assertion failure if user's home directory not
    accessible.
  * Fixed a couple of memory and fd leaks in error exits from
    include-directory and include-lookup in parser.c.

  * Debian and `upstream' version integrated; Changelogs merged.

  * Provided `system.default' file checks /etc/userv/services.d and
    /etc/userv/default.d; system.override runs /etc/userv/override.d.

  * Add <string.h> to servexec.c.
  * Add -D_GNU_SOURCE to CFLAGS in configure.in.
  * Braces added in client.c to prevent GCC `ambiguous else' warning.

  * Reran autoconf.
  * autoconf-generated files included in CVS.

  * Debian package description mentions use by system admin.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 30 Jan 1999 23:38:17 +0000


*** Main changelog file included here - see far down this file for the
*** pre-0.60 Debian-specific changes.

userv (0.58); urgency=high

  * Fixed failure to set gid when invoking service !!
  * Fixed failure to set fd value in et_closereadfd messages from client.

  * Save filename string in parse_file for error reporting (in case it is
    overwritten by parsing code).
  * Fixed obscure race in process.c:getevent (et_closereadfd and hold fds).
  * `builtin version' service had error message and errno string reserve
    values exchanged.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 29 Jan 1998 00:00:22 +0000

userv (0.57); urgency=high

  * Services provided by root work !
  * uservd can now go into background itself (-daemon option).

  * spec now has default syslog facility for rcfile messages as `user'.
  * Better prioritisation of syslog messages.
  * Startup error messages now go to stderr instead.
  * SIGTERM and SIGINT now produce a syslog message.

  * Version number has VEREXT component, settable via make args &c.
  * New sections in INSTALL about exit statuses and -daemon.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 14 Oct 1997 02:04:18 +0100

userv (0.56); urgency=medium

  * Server now checks itself every hour to see if its socket has been
    stolen, and exits if it has.
  * Client only retries connect(2) on EINTR (and does so silently).
  * All of even master server's syslog messages have pid.
  * Don't delete spec.sgml.in in clean targets.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 11 Oct 1997 14:38:25 +0100

userv (0.55.2); urgency=low

  * Added info about WWW page, mailing lists and bug reporting to README.

  * clean targets except realclean don't remove spec.html, spec.ps,
    lexer.[lc], tokens.h, overview.ps.  New totalclean target for
    removing configure and config.h.in.

  * Added <sys/types.h> and <errno.h> to lexer.l.m4.
  * <sys/wait.h> instead of <wait.h>; %d instead of %ld for WEXITSTATUS
    in overlord.c; PIPEMAXLEN etc. #defines include cast to int to avoid
    problems with sizeof and size_t; EPROTO missing workaround.
  * Note about SIG_IGN and `function declaration isn't a prototype' added
    to INSTALL file in new PROBLEMS section.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 5 Oct 1997 17:55:32 +0100

userv (0.55.1); urgency=low

  * README file now shipped.
  * Added this Changelog, and configure gets version number from it.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 21 Sep 1997 23:58:32 +0100

userv (0.55)

  * Initial release

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 21 Sep 1997 23:52:50 +0100


*** Old main changelog file ends here.
*** Now come pre-0.59 Debian-specific changes.

userv (0.58-1.2) unstable; urgency=low

  * Non maintainer upload.
    Fix for this error on the Arm.
    cc1: warnings being treated as errors
    client.c: In function callvalueoption':
    client.c:747: warning: suggest explicit braces to avoid ambiguous else'
    Braces inserted, to join the if statements together

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 20 Aug 1998 06:17:43 -0400
