=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: userv
 Section: admin
-Priority: experimental
+Priority: extra
 Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
 Standards-Version: 2.1.1.0
 
@@ -13,4 +13,5 @@
  to give other system services root privilege, and which allows users
  to more securely have programs provide services to others.
  .
- There are not many userv-using services yet.
+ userv can be useful as `glue' for system administrators; there are
+ not many full-blown userv-using applications yet.
