## userv 0.60.3

=== debian/changelog ===
userv (0.60.3) frozen unstable; urgency=medium

  * Fixed misdequoting of \<newline> in "-quoted strings.
  * Removed -Werror by default.  (Bug#32758, Bug#32747)

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Wed,  3 Feb 1999 22:24:33 +0000
