## userv 0.65.1

=== debian/changelog ===
userv (0.65.1) unstable; urgency=high

  * Avoid accessing backup, auto-save files, etc, with include-lookup.
    Everything except a-z 0-9 - _ must now be prefixed by a colon.
  * Allow \ to continue lines (and do sensible things with whitespace in
    `message' and `error' directives).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  9 Oct 1999 19:45:21 +0100

userv (0.64.1) unstable; urgency=low

  * New "shutdown" builtin service for terminating uservd.
  * Spec. document shows subsections in TOC.

  * setenv emulation using putenv works properly (previously you would get
    wrong environment variable settings).  (Thanks to Ben Harris.)
  * Makefile bug fixed (tokens.h would sometimes not be rebuilt).

  * Regenerated formatted documentation (spec.ps, spec.html).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 20 Jun 1999 19:13:42 +0100

userv (0.62) unstable; urgency=low

  * New builtin service `help' lists builtin services.
  
  INSTALL improvements:
  * Document locations of required programs.
  * Sort-of document debugging version.
  
  Portability fixes for:
  * md5sum with extra `-'.
  * -lsocket required for socket().
  * missing `LOG_AUTHPRIV'.
  * `logname' name clash.    
  * missing setenv() (synthesize using putenv).
  * various required #include's were omitted.
  * install rule in Makefile `if ! test ...' changed to `if test ! ...'

  Build arrangements changed (new GNU coding standards targets etc):
  * m4 and flex output now shipped.
  * `dist' target in Makefile.
  * Manuals in CVS and shipped pre-formatted.

  * Reran autoconf/autoheader, latest version.
  * Updated email address to ian@davenant.greenend.org.uk throughout.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Sun, 18 Apr 1999 20:08:12 +0100
