## userv 1.0.1.0slink

=== debian/changelog ===
userv (1.0.1.0slink) stable; urgency=high

  IMPORTANT SECURITY FIX:
  * fd swapping algorithm would sometimes corrupt security-critical data
    used to generate the service program's USERV_ environment variables.
    For details see the 1.0.1 announcement in the userv-announce archives.

  Portability improvement:
  * Look for `md5' as well as `md5sum' - installs easier on BSDs.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 27 Jul 2000 01:06:30 +0100

userv (1.0.0) unstable; urgency=low

  * Manpage userv(1) from Ben Harris.  (Debian bug #33777.)
  * Released out of beta (version number change).
  * Added a couple of things to .cvsignore.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  6 Mar 2000 18:13:49 +0000

userv (0.95.0) unstable; urgency=low

  * Count \-continued lines properly in error message line numbers.
  * Fix lexing bugs with "-quoted strings and \-continuation.
  * Fix interpretation of \n etc. in "-quoted strings.
  * Fix bug which ignored erroneous read/write after ignore-fd/reject-fd.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue,  9 Nov 1999 23:26:54 +0000

userv (0.65.2) unstable; urgency=high

  * In client, copy results from getpw* when necessary.  This fixes what
    could be a security problem on some platforms.
  * Avoid accessing backup, auto-save files, etc, with include-lookup.
    Everything except a-z 0-9 - _ must now be prefixed by a colon.
  * Allow \ to continue lines (and do sensible things with whitespace in
    `message' and `error' directives).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 10 Oct 1999 12:48:47 +0100
