## userv 1.0.1.1potatp.1

=== debian/changelog ===
userv (1.0.1.1potatp.1) unstable; urgency=low

  * NMU 
  * FHS transition (closes #91578)
  * Corrected location of common licenses
  * Added -isp to dpkg-gencontrol
  * Corrected build-problems caused by non-existing debiandoc2ps
    (closes: #60094, #61680)

 -- Bas Zoetekouw <bas@debian.org>  Wed,  8 Aug 2001 17:42:37 +0200
