## userv 1.0.6

=== debian/changelog ===
userv (1.0.6) unstable; urgency=low

  Packaging fix:
  * Create /var/run/userv in the init script as well as shipping
    it in the .deb package.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 11 Jul 2007 17:54:36 +0100

userv (1.0.5) unstable; urgency=low

  Bugfixes (thanks to report from Nelson Beebe):
  * Do not call `assert' on expressions whose side-effects we need (!)
    Thanks to report from Nelson Beebe.
  * Correct an erroneous assert() argument so that it would actually
    detect failure of the assertion.
  * alarm(2) returns unsigned and can never fail.

  Packaging changes:
  * Reran flex (flex Debian 2.5.31-31).
  * Use install -g 0 instead of -g root.  This is more portable, I hope.
  * Detect missing vsnprintf and mention URL from Nelson Beebe in err msg.
  * Remove obsolete `buildship' script from top level directory.  We use
    cvs-buildpackage nowadays.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  8 Apr 2006 13:17:14 +0100

userv (1.0.4) unstable; urgency=low

  Bugfixes:
  * Close client socket fd in spawned cats (avoids some service-side hangs
    when client terminates).  Thanks to report from Simon Tatham.

  Minor portability fixes:
  * Missing #include <string.h> and <stdlib.h>  } Thanks to report
  * getgroups returns int, not gid_t (!).       }  from Peter Benie.
  * Dummy `check' target in Makefile.in.              } Thanks to
  * Bogus strsignal emulation for broken platforms.   } report from
  * Bogus WCOREDUMP emulation for broken platforms.   } Nelson Beebe
  
  Packaging improvements (including Debian packaging fixes):
  * Compress uservd(8) manpage.  Closes: #244735.
  * spec.tex and spec.html are autogenerated: clean and .cvsignore them.
  * SHELL=/bin/bash in debian/rules; use of install(8).  Closes: #263979.
  * Reran autoconf/autoheader (autoconf Debian 2.13-54).
  * Updated copyright notices.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri,  7 Apr 2006 20:04:29 +0100

userv (1.0.3-2) unstable; urgency=low

  Debian packaging improvements (only):
  * type -p invoke-rc.d changed to type, in postinst and prerm.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  1 Nov 2003 16:59:38 +0000

userv (1.0.3) unstable; urgency=medium

  Bugfixes:
  * Make require-fd work with reading fds !
    (Thanks to Ben Harris for the bug report).
  * Close unwanted pipes in client-side cat subprocesses, to avoid
    wedging at termination.  (Thanks to patchlet from Peter Benie.)
  * gid_t may be >int, so cast to long when putting in USERV_GIDS
    (Might conceivably make USERV_GIDS be wrong on some platforms.)
  * Do not pass char to ctype macros; they can't cope with -ve !
  * Fix fd modifier, signal, and exit status parsing to be rigourous in
    their use of strtoul.  (Thanks to report from Peter Benie.)

  Portability fixes:
  * #include <fcntl.h>, not <sys/fcntl.h> (fixes some implicit decls).
  * Look for gmd5sum.  (Thanks to Anton Altaparmakov for the report.)
  * install-sh updated to that from autoconf 2.53.
  * Use fcntl F_{GET,SET}FD with respect for as-yet-uninvented fd flags.
    (small patch from Ben Harris.)

  Documentation and help improvements:
  * userv(1) manpage: fixed broken definitions of fd excl and trunc.
    (Debian bug report: Closes: #79579.)
  * Specification's usage notes section improved.
  * --help and --version behaviour made to conform to GNU standards.
  * We do ship m4 and flex output now, so say so.
  * Some groff warnings in userv(1), and source version fixed.
  * New userv(8) manpage.  (Debian: Closes: #33777.)
  * Update copyright dates everywhere.

  Debian packaging improvements:
  * Priority changed to optional as per override file.
  * Build-Depends: debiandoc-sgml, tetex-bin, tetex-extra.  Closes #190615.
  * init.d reload is noop, restart now called restart.  Closes #70783.
  * /etc/init.d/userv nicer output: colons, `.' printed after done.
  * Maintainer scripts use invoke-rc.d if it's available.
  * Maintainer scripts discard stdout from update-rc.d.
  * No more messing with /usr/doc, use only /usr/share/doc.  Closes #91578.
  * Support unstripped binaries in the .deb, with DEB_BUILD_OPTIONS.
  * Fixed typo in debian/copyright.
  * /etc/init.d/userv restart doesn't mind if not already running.
  * debian/rules clean removes whole spec.html subdirectory.
  * Ship spec.ps (Closes: #210859)
  * Lintian override for suid /usr/bin/userv (Closes: #211055)
  * Standards-Version 3.6.1.
  * Corrected location of common licenses.
  * Added -isp to dpkg-gencontrol.
  (Thanks to Martin Pitt and Bas Zoetekouw's NMUs
   for many inspirations and one-liners.)
  
 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  1 Nov 2003 01:11:59 +0000

userv (1.0.1) stable frozen unstable; urgency=high

  IMPORTANT SECURITY FIX:
  * fd swapping algorithm would sometimes corrupt security-critical data
    used to generate the service program's USERV_ environment variables.
    For details see the 1.0.1 announcement in the userv-announce archives.

  Portability improvement:
  * Look for `md5' as well as `md5sum' - installs easier on BSDs.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 27 Jul 2000 01:06:30 +0100
