## userv 1.0.6ubuntu1

=== debian/changelog ===
userv (1.0.6ubuntu1) lucid; urgency=low

  * Change tetex-bin with texlive and tetex-extra with texlive-latex-extra
    in Build-Depends for tetex transition. Cherry-picked from Debian,
    Thanks to Jari Aalto.

 -- James Westby <james.westby@ubuntu.com>  Thu, 15 Apr 2010 12:03:52 +0100
