=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: userv
 Section: admin
-Priority: extra
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 2.1.1.0
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Build-Depends: debiandoc-sgml, texlive, texlive-latex-extra
+Standards-Version: 3.6.1
 
 Package: userv
 Architecture: any
