## userv 1.1.1

=== debian/changelog ===
userv (1.1.1) unstable; urgency=low

  * Include INIT INFO stanza in init script.
  * Draft support for `status' in init script, currently commented
    out pending inclusion into policy of firm specification.
  * Remove spec.ps on make clean.
  * Remove spec.ps and dh log on debian/rules clean.  (Use dh_clean.)
    (To repro bug: dpkg-buildpackage, debian/rules clean, git-ls-files -o)
  * Fix up some copyright messages.
  
 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 08 Jun 2012 20:16:52 +0100

userv (1.1.0) unstable; urgency=medium

  Bugfix:
  * Do not reject comments and blank lines inside not-being-executed
    conditional clauses.  (Closes: #613862.)

  Important Debian packaging fix:
  * Remove /var/run/userv from the .deb.
    (Along with the change in 1.0.6 this Closes: #630528.)

  General minor improvements (relevant outside Debian):
  * Introduce a use of socklen_t to avoid a compiler warning.
  * Remove spec.html and spec.ps from revision control.
  * Revision control switched from cvs to git.
  * Update my email address.

  Debian packaging minor improvements and bugfixes:
  * The new version will ensure a rebuild and therefore completely deal
    with the debiandoc-sgml missing documentation bug.  (Closes: #413873.)
  * Use lintian for dh_fixperms; this ensures that the permissions of
    /etc/userv in the .deb are 755, not 2755.
  * Use `command -v' instead of `type' in maintainer scripts.
  * Do not ignore errors from commands in rules clean target.
  * Fix FSF address in copyright file.
  * Remove obsolete local variable section from debian/changelog.
  * Update Standards-Version.  No changes required.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 02 Jun 2012 16:41:09 +0100
