=== debian/control ===
Source: userv
Section: admin
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: debiandoc-sgml, texlive, texlive-latex-extra, debhelper (>= 5)
Standards-Version: 3.9.1

Package: userv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: `user services' - program call across trust boundaries
 userv allows one program to invoke another when only limited trust
 exists between them.  It is a tool which can be used to avoid having
 to give other system services root privilege, and which allows users
 to more securely have programs provide services to others.
 .
 userv can be useful as `glue' for system administrators; there are
 not many full-blown userv-using applications yet.
