=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash
package=userv

t=debian/tmp

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTOPTS= LDFLAGS=-s INSTALL_PROGRAM='install -c -s'
else
	INSTOPTS= INSTALL_PROGRAM='install -c'
endif

build: build-arch build-indep

build-arch:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) all docs
	touch build-arch

clean:
	$(checkdir)
	rm -f build build-arch
	$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	rm -rf *~ $t
	rm -rf spec.html spec.ps debian/substvars*
	dh_clean

build-indep:
binary-indep:

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf $t
	install -d $t/{DEBIAN,etc/init.d} $t/usr/{sbin,bin}
	install -d $t/etc/userv/{override,default}.d
	install -d $t/usr/share/doc/$(package)/examples/
	install -d $t/usr/share/lintian/overrides/
	install -m 755 debian/{postinst,prerm,postrm} $t/DEBIAN/.
	install -m 644 debian/conffiles $t/DEBIAN/.
	install -m 755 debian/initd $t/etc/init.d/userv
	$(MAKE) $(INSTOPTS) \
		prefix=$t/usr etcdir=$t/etc \
		docdir=$t/usr/share/doc/userv \
		mandir=$t/usr/share/man \
		install install-doc
	cp debian/copyright $t/usr/share/doc/$(package)/.
	cp debian/changelog $t/usr/share/doc/$(package)/changelog
	cp README $t/usr/share/doc/$(package)/README.upstream
	cp system.default system.override $t/usr/share/doc/$(package)/examples
	ln -s changelog.gz $t/usr/share/doc/$(package)/changelog.Debian.gz
	gzip -9v $t/usr/share/doc/$(package)/changelog \
		$t/usr/share/man/man1/*.1 $t/usr/share/man/man8/*.8 \
		$t/usr/share/doc/userv/*.ps
	cp debian/lintian $t/usr/share/lintian/overrides/userv
	dpkg-shlibdeps daemon client
	dpkg-gencontrol -isp
	dh_fixperms -Pdebian/tmp
	chown root.root debian/tmp/usr/bin/userv
	chmod 4755 debian/tmp/usr/bin/userv
	dpkg --build $t ..

define checkdir
	test -f overlord.c -a -f lexer.l.m4 -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
