## userv 1.2.0

=== debian/changelog ===
userv (1.2.0) unstable; urgency=medium

  Bugfixes:
  * Support `stdin', `stdout' and `stderr' in fd ranges, as promised
    by the spec.  Closes:#813005.
  * Support `range' operator, as promised by the spec.  Closes:#686449.
    Bug and analysis from Mark Wooding.
  * Do not ignore errors from readdir.  Closes:#827408 [Peter Benie].
  * Correct docs for errors-push, which takes no filename.
    Closes:#775852.
  * Correct quoting of include-lookup directory.  Closes:#837391.
    (With new directives to somewhat ease backward-compatibility.)

  Packaging etc.
  * Honour XCFLAGS.
  * Use `%option nounput' rather than #define YY_NO_UNPUT.
    Patch from Peter Benie.
  * Specify #define YY_NO_INPUT, which avoids an unused function warning.
    Patch from Peter Benie.
  * Update copyright notices.
  * Upgrade licence to GPLv3+.

  Debian packaging:
  * Honour dpkg-buildflags.
  * Add some newer debian/ droppings to .gitignore.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 17:17:54 +0000
