=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,17 @@
 	INSTOPTS= INSTALL_PROGRAM='install -c'
 endif
 
+makebuildargs := OPTIMISE= \
+ XCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+ XCPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
+ XLDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+
 build: build-arch build-indep
 
 build-arch:
 	$(checkdir)
 	./configure --prefix=/usr
-	$(MAKE) all docs
+	$(MAKE) $(makebuildargs) all docs
 	touch build-arch
 
 clean:
@@ -40,7 +45,7 @@
 	install -m 755 debian/{postinst,prerm,postrm} $t/DEBIAN/.
 	install -m 644 debian/conffiles $t/DEBIAN/.
 	install -m 755 debian/initd $t/etc/init.d/userv
-	$(MAKE) $(INSTOPTS) \
+	$(MAKE) $(INSTOPTS) $(makebuildargs) \
 		prefix=$t/usr etcdir=$t/etc \
 		docdir=$t/usr/share/doc/userv \
 		mandir=$t/usr/share/man \
