## userv 1.2.1~beta1

=== debian/changelog ===
userv (1.2.1~beta1) unstable; urgency=medium

  Bugfixes:
  * Do not leak a harmless fd into the service program.  Closes: #864876.
  * spec: Do not claim you can specify numeric service uid.  Closes: #989048.

  Packaging:
  * Provide a systemd service file in the source tree,  but (for now) do
    not install it.  Re #939573.  Service file provided by Matthew Vernon.
  * debian/compat: Bump to 12 (stretch-backports).  Closes: #965858.
  * autopkgtests: Add some tests to check installation and operation.
  * debian/rules: Fix cross-building.  Closes: #985998.  [Helmut Grohne]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Dec 2021 01:32:33 +0000
