=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,11 @@
 
 t=debian/tmp
 
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTOPTS= LDFLAGS=-s INSTALL_PROGRAM='install -c -s'
+	INSTOPTS= LDFLAGS=-s INSTALL_PROGRAM='install -c -s --strip-program=$(STRIP)'
 else
 	INSTOPTS= INSTALL_PROGRAM='install -c'
 endif
