## userv 1.2.1~beta2

=== debian/changelog ===
userv (1.2.1~beta2) unstable; urgency=medium

  Documentation generation changes:
  * spec: Generate printable file as pdf via docbook.
  * spec: Correct information about userv's authorship.
  * spec: Update builtin version number.
  * overview diagram: Build as pdf, with a sensible page layout.

  Debian packaging changes:
  * Switch to dh auto sequencer.  Many consequences:
     - Upstream README is /usr/share/doc/userv/README, not README.upstream.
     * Control file md5sums are provided.
     * New changelog symlink for changelog.Debian.gz.
     * We use the proper Debian debug information scheme.
     * We use different compiler flags, which will hopefully produce
       better hardening and better reproducibility.
  * debian: Use debhelper to generate maint scripts (daemon start/stop).
  * Add misisng build-dependency on "transfig" (previously masked by
    our TeX requirements).
  * Build everything from actual sources; don't reuse committed files.
  * init script: Source /lib/lsb/init-functions.
  * debian/control: Fix debhelper build-depends version.
  * debian/copyright: Mention /usr/share/common-licenses/GPL-3.
  * debian/control: Bump Standards-Version (no changes needed).

  Fixes to upstream "make install-docs" target:
  * Ship docs to /usr/share/doc/userv, not /usr/userv (!)
  * Ship manpages to /usr/share, not /usr, by default.
  * Install default config files as examples too.
  * Provide "[un]install-docs" target (not just anomalous "install-doc").

  Inconsequential code changes:
  * Suppress some warnings about ignoring stderr write errors.
  * overlord: Explicitly ignore unwanted value from write.

  Upstream build system and packaging tidying:
  * regenerate lexer.c using flex 2.6.4-6.2.
  * regenerate rautoconf outputs with auatoconf 2.69-11.
  * Add autogen.sh.
  * Add some missing configure.in quoting (needed by modern autoconf).
  * "make install": Honour DESTDIR; create bindir and sbindir if needed.
  * "make install": Do not pass -m to install -d; introduce INSTALL_DIR.
  * overview diagram: Override non-reproducible date inserted by fig2dev.
  * copyright: Add missing dates and names.  Simplify notices.
  * Update my own email address.
  * changelog: Add "Old Changelog:" note to help Debian's parsers.
  * gitignore: add missing entries, move debian stuff to debian/.
  * Makefile: Refactoring of installation targets.
  * Makefile: Remove obsolete dist target.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 29 Dec 2021 19:32:19 +0000
