=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debiandoc-sgml, texlive, texlive-latex-extra, debhelper (>= 5)
-Standards-Version: 3.9.1
+Build-Depends: debiandoc-sgml, transfig, dblatex, texlive-xetex, debhelper (>= 12)
+Standards-Version: 4.6.0.1
 
 Package: userv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Description: `user services' - program call across trust boundaries
  userv allows one program to invoke another when only limited trust
  exists between them.  It is a tool which can be used to avoid having
