## userv 1.2.1~beta4

=== debian/changelog ===
userv (1.2.1~beta4) unstable; urgency=medium

  * debian/control: Re-add missing build-dependency on fonts-dejavu.
    Fixes FTBFS, this time for sure!  See also #1002919.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 01 Jan 2022 01:16:34 +0000

userv (1.2.1~beta3) unstable; urgency=medium

  * debian/control: Add missing build-dependency on flex.
    Fixes FTBFS.  Report from Aurelien Jarno.  Closes: #1002914.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 31 Dec 2021 22:24:40 +0000
