=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debiandoc-sgml, transfig, dblatex, texlive-xetex, debhelper (>= 12)
+Build-Depends: flex, debiandoc-sgml, transfig, dblatex, texlive-xetex, fonts-dejavu, debhelper (>= 12)
 Standards-Version: 4.6.0.1
 
 Package: userv
