## userv 1.2.1~beta5

=== debian/changelog ===
userv (1.2.1~beta5) unstable; urgency=medium

  * d/control: Add `Rules-Requires-Root: binary-targets`.
    Fixes FTBFS with new dpkg-buildpackage.  Closes: #1092417.
    [Report from Lucas Nussbaum, verification by Ben Harris]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Jan 2025 20:55:07 +0000
