=== debian/tests/control ===
Tests: t-basic
Depends: @, bash
Tests-Directory: tests
Restrictions: isolation-container, allow-stderr, needs-root

Tests: t-config
Depends: @, bash, chiark-really
Tests-Directory: tests
Restrictions: isolation-container, allow-stderr, needs-root, breaks-testbed

Tests: t-userconfig
Depends: @, bash, chiark-really
Tests-Directory: tests
Restrictions: isolation-container, allow-stderr, needs-root, breaks-testbed

Tests: t-persist
Depends: @, bash
Tests-Directory: tests
Restrictions: isolation-container, allow-stderr, needs-root
