## userv 1.2.2

=== debian/changelog ===
userv (1.2.2) unstable; urgency=medium

  * Rerun autogen.sh.  No significant changes to output.
  * parser: Rename a variable from `true` to `true_` (for C23)
    Closes: #1098049.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 20 Sep 2025 17:55:10 +0100
