=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: flex, debiandoc-sgml, transfig, dblatex, texlive-xetex, fonts-dejavu, debhelper (>= 12)
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.6.0.1
 
 Package: userv
