=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash
package=userv

makebuildargs := OPTIMISE= \
 XCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
 XCPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
 XLDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh "$@"

override_dh_auto_configure:
	$(MAKE) -f Makefile.in maintainer-clean
	./autogen.sh
	dh_auto_configure

override_dh_auto_build:
	$(MAKE) $(makebuildargs) all docs

override_dh_auto_install:
	$(MAKE) $(makebuildargs) install install-docs \
		DESTDIR=$(CURDIR)/debian/userv

override_dh_fixperms:
	dh_fixperms -X usr/bin/userv
