## userv 1.2.3

=== debian/changelog ===
userv (1.2.3) unstable; urgency=medium

  Many packaging etc. improvementse from Ben Harris:
  * Enable Debian Salsa CI with standard configuration as .gitlab-ci.yml
  * Run t-persist test with service user as root as well.
  * Set FORCE_SOURCE_DATE in debian/rules.  Closes: #1110360.
  * userv.service: Add Documentation=
  * userv.service: remove After=remote-fs.service
  * userv.service: use RuntimeDirectory= to create /run/userv
  * userv.service: set SuccessExitStatus=1
  * Install upstream systemd unit file.  Closes: #939573.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 14 Nov 2025 19:41:09 +0000
