=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
  XCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
  XCPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
  XLDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+
+# Persuade TeX that we really want to honour SOURCE_DATE_EPOCH.
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh "$@"
